Subject: [Pals] WG Last Call - draft-ietf-pals-redundancy-spe

From: Stewart Bryant <[email-masked]>
Date: Tue, 14 Apr 2015 17:50:51 +0100

This email starts the WG last call on draft-ietf-pals-redundancy-spe

This document can be found at

https://datatracker.ietf.org/doc/draft-ietf-pals-redundancy-spe/

Last call will close on 29th April 2015

- Stewart

---

From: "Dongjie (Jimmy)" <[email-masked]>
Date: Thu, 16 Apr 2015 03:22:42 +0000

Support as co-author.

Best regards,
Jie

> -----Original Message-----
> From: Stewart Bryant [mailto:[email-masked]]
> Sent: Wednesday, April 15, 2015 12:51 AM
> To: [email-masked]; [email-masked];
> [email-masked]; Matthew Bocci; pals-ads;
> Wanghaibo (Rainsword)
> Subject: WG Last Call - draft-ietf-pals-redundancy-spe
> 
>

---

From: Jiangyuanlong <[email-masked]>
Date: Wed, 22 Apr 2015 08:25:58 +0000

Support. 

In the review, I came across a minor issue in Section 4, which says:"If VCCV CC type 3 "TTL Expiry" is
   to be used, the hop count from one T-PE to the remote T-PE needs to
   be obtained in advance.  This can be achieved either by control plane
   SP-PE TLVs or through data plane tracing of the MS-PW."
But the document also says PW-Seg1 can be statically configured. 
In that case, provisioning it in the management plane may be more preferable.
The authors may consider it together with other inputs after the last call.

Thanks,
Yuanlong

-----Original Message-----
From: Pals [mailto:[email-masked]] On Behalf Of Stewart Bryant
Sent: Wednesday, April 15, 2015 12:51 AM
To: [email-masked]; [email-masked]; [email-masked]; Matthew Bocci; pals-ads; Wanghaibo (Rainsword)
Subject: [Pals] WG Last Call - draft-ietf-pals-redundancy-spe

- Stewart

_______________________________________________
Pals mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/pals

---

From: "Dongjie (Jimmy)" <[email-masked]>
Date: Thu, 23 Apr 2015 08:35:51 +0000

Hi Yuanlong, 

Thanks for your comments. 

If some PW segments are statically configured, I agree that for VCCV CC type 3 some local policy may be needed to set the TTL properly.

Besides, as said in section 4, MS-PW path trace may be used to obtain the information needed for MS-PW connectivity verification. The details are specified in RFC 6073.

Best regards,
Jie

> From: Jiangyuanlong [mailto:[email-masked]]
> Sent: Wednesday, April 22, 2015 4:26 PM
> To: [email-masked]; [email-masked]; [email-masked];
> Subject: RE: [Pals] WG Last Call - draft-ietf-pals-redundancy-spe
> 
> Support.
>

---

From: Mingui Zhang <[email-masked]>
Date: Fri, 24 Apr 2015 10:00:46 +0000

I have read the current version. Support.

I have a bit concern: shall we replace the two "may" in Section 3 with "MAY" or "SHOULD"?

In the abstract: s/[RFC6870]/RFC 6870/
In the introduction: s/[RFC3985]applications/[RFC3985] applications/

Thanks,
Mingui

---

From: Stewart Bryant <[email-masked]>
Date: Fri, 24 Apr 2015 11:19:01 +0100

The sentence is

     S-PE1 may
    advertise the updated SP-PE TLVs [RFC6073] using Label Mapping
    message to T-PE1.

So what are we saying here?

That S-PE1 has a number of ways of doing the advertisement of
which RFC6073 is one way

or

That S-PE1 can choose whether of not it does the advertisement

or

Do we really mean MUST in some way?

Stewart

On 24/04/2015 11:00, Mingui Zhang wrote:
> .

-- 
For corporate legal information go to:

http://www.cisco.com/web/about/doing_business/legal/cri/index.html

---

From: "Dongjie (Jimmy)" <[email-masked]>
Date: Mon, 27 Apr 2015 03:24:00 +0000

Hi Stewart, 

Thanks a lot for your comments. I agree that here "may" is a little confusing. 

It intends to mean "MUST" when the S-PE supports the SP-PE TLV processing. The reason we used "MAY" was considering S-PEs which do not support SP-PE TLVs operation. I think we can rephrase it with "SHOULD" or "MUST". Which one do you prefer?

Best regards,
Jie

> Sent: Friday, April 24, 2015 6:19 PM
> To: Mingui Zhang; [email-masked]; [email-masked];
> Subject: Re: [Pals] WG Last Call - draft-ietf-pals-redundancy-spe
> 
> The sentence is
> 
>      S-PE1 may
> That S-PE1 has a number of ways of doing the advertisement of which RFC6073
> is one way
> 
> or
> 
> > In the abstract: s/[RFC6870]/RFC 6870/ In the introduction:
> > s/[RFC3985]applications/[RFC3985] applications/
> >
> > Thanks,
> > Mingui
> >
> >> [email-masked]; Matthew Bocci;
> >> pals-ads; Wanghaibo (Rainsword)

---

From: "Dongjie (Jimmy)" <[email-masked]>
Date: Mon, 27 Apr 2015 09:18:17 +0000

Hi Mingui, 

> From: Mingui Zhang [mailto:[email-masked]]
> Sent: Friday, April 24, 2015 6:01 PM

We also received some comments offline of changing the "may", or "SHOULD" in this document to "MUST". We will revise the draft according to your comments and use appropriate Requirements Language.

> In the introduction: s/[RFC3985]applications/[RFC3985] applications/

Will fix in the new revision. Thanks.

Best regards,
Jie

---

From: Stewart Bryant <[email-masked]>
Date: Mon, 27 Apr 2015 11:58:42 +0100

Without looking at the context I would say something like:

Jie

Without looking at the original text to refine the
sentence, I would probably say something like:

If S-PE1 supports the SP-PE TLV processing, it SHOULD
advertise the updated SP-PE TLVs [RFC6073] by sending
a Label Mapping message to T-PE1.

- Stewart

---

From: "Dongjie (Jimmy)" <[email-masked]>
Date: Tue, 28 Apr 2015 06:08:56 +0000

Hi Stewart, 

Thanks a lot for your suggestion. 

We will update the sentence accordingly in next revision.

Best regards,
Jie

> Sent: Monday, April 27, 2015 6:59 PM
> To: Dongjie (Jimmy); Mingui Zhang; [email-masked]; [email-masked];
> Without looking at the original text to refine the sentence, I would probably say
> something like:
> 
> If S-PE1 supports the SP-PE TLV processing, it SHOULD advertise the updated
> SP-PE TLVs [RFC6073] by sending a Label Mapping message to T-PE1.
> 
> - Stewart
> 
> 
> 
> > It intends to mean "MUST" when the S-PE supports the SP-PE TLV processing.
> The reason we used "MAY" was considering S-PEs which do not support SP-PE
> TLVs operation. I think we can rephrase it with "SHOULD" or "MUST". Which
> one do you prefer?
> >
> > Best regards,
> > Jie
> >
> >> That S-PE1 has a number of ways of doing the advertisement of which
> >> RFC6073 is one way
> >>
> >> or
> >>
> >>> I have a bit concern: shall we replace the two "may" in Section 3 with
> "MAY"
> >> or "SHOULD"?